Cardiff Rugby vs Dragons RFC · United Rugby Championship
United Rugby Championship · 2025-26Uitslag volgt

22–19

Onderlinge duels
10
Cardiff Rugby gewonnen (100%)
0
Gelijk (0%)
0
Dragons RFC gewonnen (0%)
Laatste 10 onderlinge duels, sinds oktober 2021
Grootste zege Cardiff Rugby
55–21
26 dec 2023
Laatste 5 duels
- 26 dec 2025 · United Rugby ChampionshipCardiff Rugby22Dragons RFC1926 dec 2025Cardiff Rugby22–19Dragons RFCUnited Rugby Championship
- 17 okt 2025 · United Rugby ChampionshipDragons RFC17Cardiff Rugby2417 okt 2025Dragons RFC17–24Cardiff RugbyUnited Rugby Championship
- 26 dec 2024 · United Rugby ChampionshipDragons RFC22Cardiff Rugby2426 dec 2024Dragons RFC22–24Cardiff RugbyUnited Rugby Championship
- 30 nov 2024 · United Rugby ChampionshipCardiff Rugby31Dragons RFC2330 nov 2024Cardiff Rugby31–23Dragons RFCUnited Rugby Championship
- 26 dec 2023 · United Rugby ChampionshipCardiff Rugby55Dragons RFC2126 dec 2023Cardiff Rugby55–21Dragons RFCUnited Rugby Championship
Opstellingen
Gem. leeftijd
29.5
Gem. leeftijd
27.6
Cardiff Rugby
- 1Rhys Barratt(23)
- 2Liam Belcher(30)
- 3Javan Sebastian(32)
- 4Josh McNally(36)
- 5Rory Thornton(31)
- 6Alex Mann(24)
- 7Daniel Thomas(33)
- 8Taulupe Faletau(35)
- 9Aled Davies(34)
- 10Callum Sheedy(30)
- 11Mason Grady(24)
- 12Ben Thomas(27)
- 13Harry Millard(30)
- 14Josh Adams(31)
- 15Cameron Winnett(23)
Wissels
- 16Evan Lloyd(24)
- 17Danny Southworth(27)
- 18Sam Wainwright(28)
- 19George Nott(30)
- 20Alan Lawrence(28)
- 22Johan Mulder(27)
- 23Jacob Beetham(25)
Dragons RFC
- 1Rodrigo Martinez(28)
- 2George Roberts(28)
- 3Robert Hunt(30)
- 4Levi Douglas(31)
- 5Ben Carter(25)
- 6Ryan Woodman(22)
- 7Thomas Young(34)
- 8Aaron Wainwright(29)
- 9Che Hope(23)
- 10Tinus De Beer(30)
- 11Rio Dyer(26)
- 12Aneurin Owen(26)
- 13Fine Inisi(28)
- 14Huw Anderson(22)
- 15Angus O'Brien(32)
Wissels
- 16Sam Scarfe(23)
- 17Wyn Jones(34)
- 19Matthew Screech(33)
- 20Harrison Keddie(30)
- 21Shane Lewis-Hughes(29)
- 22Rhodri Williams(33)
- 23David Richards(27)